import type { ThemeRegistrationAny } from '@shikijs/types';
import { type FunctionComponent } from 'react';
import { type ScrollViewProps, type StyleProp, type TextStyle, type ViewStyle } from 'react-native';
import { type AvailableLanguage } from './SyntaxContext';
export interface SyntaxHighlighterProps {
    text: string;
    language: AvailableLanguage;
    theme: ThemeRegistrationAny;
    fontSize?: number;
    textStyle?: StyleProp<TextStyle>;
    scrollViewProps?: ScrollViewProps;
    containerStyle?: StyleProp<ViewStyle>;
    highlightLines?: number[];
}
export declare const SyntaxHighlighter: FunctionComponent<SyntaxHighlighterProps>;
//# sourceMappingURL=SyntaxHighlighter.d.ts.map